%define major 15
%define libname	%mklibname png %{major}
%define develname %mklibname png -d
%define	static	%mklibname -d -s png

%bcond_without	uclibc

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Version:	1.5.13
Release:	2
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source0:	http://prdownloads.sourceforge.net/libpng/files/%{name}-%{version}.tar.xz
# (tpg) APNG support http://littlesvr.ca/apng/
# (tpg) http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
# (tpg) http://sourceforge.net/projects/libpng-apng/ <- use this one
Patch0:		http://downloads.sourceforge.net/libpng-apng/files/libpng-devel/%{version}/%{name}-1.5.13-apng.patch.gz
Patch2:		libpng-1.5.4-fix-cmake-files-libpath.patch
Patch3:		libpng-1.5.13-fix-libdir-pkgconfig-lib64-conflict.diff
BuildRequires: 	zlib-devel
BuildRequires:	cmake >= 1:2.8.6-7
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
%define	ouchie	%mklibname png %{major} %{major}
%rename		%{ouchie}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} >= %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	png-devel = %{EVRD}

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%package -n	%{static}
Summary:	Static development library of %{name}
Group:		Development/C
Requires:	%{develname} = %{EVRD}
Provides:	png-static-devel

%description -n	%{static}
This package contains a static library for development using %{name}.

%package	source
Summary:	Source code of %{name}
Group:		Development/C
BuildArch:	noarch

%description	source
This package contains the source code of %{name}.

%prep
%setup -q
%patch0 -p1 -b .apng
%patch2 -p0 -b .fix-cmake-files-libpath
%patch3 -p1 -b .lib64~

%build
%if %{with uclibc}
export CONFIGURE_TOP=$PWD
mkdir -p uclibc
pushd uclibc
# building out of source by default with cmake is causing troubles if one
# wanna do several builds using the cmake macro, this needs to be fixed in
# cmake package, but we'll just do it the old autofoo way in stay for now..
%configure2_5x	CC="%{uclibc_cc}" \
		CFLAGS="%{uclibc_cflags}" \
		--disable-shared
%make
popd
%endif

%cmake	-DPNG_SHARED:BOOL=ON \
	-DPNG_STATIC:BOOL=ON \
	-DCMAKE_C_FLAGS_RELWITHDEBINFO="%{optflags} -Ofast -funroll-loops" \
	-DCMAKE_EXE_LINKER_FLAGS="%{ldflags}"
%make

%install
%makeinstall_std -C build

%if %{with uclibc}
install -m644 uclibc/.libs/libpng15.a -D %{buildroot}%{uclibc_root}%{_libdir}/libpng15.a
ln -s libpng15.a %{buildroot}%{uclibc_root}%{_libdir}/libpng.a
%endif

install -d %{buildroot}%{_prefix}/src/%{name}
cp -a *.c *.h %{buildroot}%{_prefix}/src/%{name}

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}*

%files -n %{develname}
%doc libpng-manual.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng%{major}.so
%{_libdir}/libpng.so
%{_libdir}/libpng/libpng%{major}*.cmake
%{_libdir}/pkgconfig/libpng*.pc
%{_mandir}/man?/*

%files -n %{static}
%{_libdir}/libpng.a
%{_libdir}/libpng15.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libpng.a
%{uclibc_root}%{_libdir}/libpng15.a
%endif

%files source
%{_prefix}/src/%{name}/


%changelog
* Sun Oct 21 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.13-2
+ Revision: 819176
- make source package noarch
- update pkgconfig patch
- add back uclibc build
- add back static build of library
- libpng cmake file ignores standard variables for setting cflags & ldflags, so
  pass these with the variables it uses

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.5.13

* Fri Jul 13 2012 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.12-1
+ Revision: 809163
- 1.5.12

* Sat Jun 16 2012 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.11-1
+ Revision: 805997
- rediff
- 1.5.11

* Fri Mar 30 2012 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.10-1
+ Revision: 788398
- new apng patch
- fix one patch
- 1.5.10

* Sun Feb 19 2012 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.9-1
+ Revision: 777386
- 1.5.9

* Sat Feb 04 2012 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.8-1
+ Revision: 771164
- 1.5.8 (fixes CVE-2011-3464)
- rediffed some patches

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add a versioned build dependency on latest cmake and stop messing with
      CMAKE_BUILD_TYPE

* Tue Dec 20 2011 Zé <ze@mandriva.org> 2:1.5.7-2
+ Revision: 743865
- set to Release mode to not change devel lib file, but needs to be set to Debug mode and rebuild all packages that need libpng, this is the proper way

* Sun Dec 18 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.7-1
+ Revision: 743553
- 1.5.7

* Tue Dec 06 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.6-2
+ Revision: 738311
- drop the static lib and its sub package

* Thu Nov 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.6-1
+ Revision: 716269
- 1.5.6

* Wed Sep 28 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.5.5-1
+ Revision: 701799
- 1.5.5

* Fri Sep 16 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.4-6
+ Revision: 699938
- really fix file conflict..
- be more strict about what .txt files we include, so we don't ship with
  CMakeLists.txt as doc

* Thu Sep 15 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.4-5
+ Revision: 699913
- fix pkgconfig lib64 conflict, avoiding %%multiarch hackage (P3)
- remove conflicts on older libpng devel packages

* Tue Sep 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.4-4
+ Revision: 699666
- fix missing epoch in conflicts

* Tue Sep 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.4-3
+ Revision: 699604
- fix so that -devel package can co-exist in repos with older version
- use %%{EVRD} macro

* Mon Sep 12 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.5.4-2
+ Revision: 699438
- be sure to correct upgrade from incorrect package name due to duped major
- do some cleaning
- fix duplicate major in package name
- drop dangerous and incorrect obsoletes on older library package

* Sun Sep 11 2011 Zé <ze@mandriva.org> 2:1.5.4-1
+ Revision: 699416
- version 1.5.4
- drop useless requires (already exist,no need to have them explict)
- drop useless provides
- set requires to version
- fix symlink
- fix .cmake files path
- fix source and patch URLs

* Thu Jul 21 2011 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.46-1
+ Revision: 690817
- 1.2.46

* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 2:1.2.44-3
+ Revision: 660654
- update multiarch usage

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sat Aug 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.44-2mdv2011.0
+ Revision: 569562
- sync with MDVSA-2010:133

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 2:1.2.44-1mdv2011.0
+ Revision: 549888
- New version 1.2.44

  + Oden Eriksson <oeriksson@mandriva.com>
    - remove the changelog (how did that happen?)

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.43-1mdv2010.1
+ Revision: 511259
- use a newer apng patch from upstream
- 1.2.43

* Wed Feb 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.42-1mdv2010.1
+ Revision: 510653
- 1.2.42
- rediffed the apng patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - make uclibc file in %%files conditional (thx to Matthew Dawkins for noticing!)

* Sat Dec 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.2.41-2mdv2010.1
+ Revision: 473715
- build with -fPIC

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 2:1.2.41-1mdv2010.1
+ Revision: 473664
- new version 1.2.41

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - compile with '-O3 -funroll-loops' (as suggested by upstream)
    - don't pass -DPNG_NO_MMX_CODE, it's already handled automatically by configure
    - build static uclibc linked library

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.40-1mdv2010.0
+ Revision: 439029
- update to new version 1.2.40

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.39-1mdv2010.0
+ Revision: 422506
- update to new version 1.2.39
- update patch0

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.37-1mdv2010.0
+ Revision: 383290
- update to new version 1.2.37
- Patch0: new version of apng patch

* Fri May 08 2009 Funda Wang <fwang@mandriva.org> 2:1.2.36-2mdv2010.0
+ Revision: 373374
- raise rel
- New version 1.2.36
- rediff p1

* Thu Feb 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.35-1mdv2009.1
+ Revision: 342891
- 1.2.35

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.34-1mdv2009.1
+ Revision: 315702
- 1.2.34
- new P0

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.33-3mdv2009.1
+ Revision: 315590
- rebuild

* Wed Nov 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.33-2mdv2009.1
+ Revision: 300156
- added P1 to fix build problem with mysql-gui-tools-5.0r14

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.33-1mdv2009.1
+ Revision: 299045
- update to new version 1.2.33

* Sun Sep 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.32-1mdv2009.1
+ Revision: 286394
- update to noew version 1.2.32
- drop patch 1 as it is fixed upstream
- Patch0: new version

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 2:1.2.31-2mdv2009.0
+ Revision: 283256
- Add 1.2.31beta01 patch fixing buffer overflow CVE-2008-3964

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 2:1.2.31-1mdv2009.0
+ Revision: 275373
- update apng patch with archlinux

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.2.31
    - update to new version 1.2.30
    - use lzma'd tarball from upstream

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2:1.2.29-2mdv2009.0
+ Revision: 264888
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.29-1mdv2009.0
+ Revision: 204605
- new version

* Fri May 02 2008 Frederik Himpe <fhimpe@mandriva.org> 2:1.2.28-1mdv2009.0
+ Revision: 200472
- New upstream version (fixes security issues)
- Run ./autogen.sh, like Debian is doing, otherwise it does not build
- Update apng patch to version which applies without problem, from
  SourceMage

* Tue Apr 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-3mdv2009.0
+ Revision: 193502
- update APNG patch

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-2mdv2008.1
+ Revision: 176548
- add support for APNG images, this is a mandatory for upcoming Firefox 3

* Tue Feb 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-1mdv2008.1
+ Revision: 172842
- new version
- remove docs from static library

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.24-1mdv2008.1
+ Revision: 137841
- new version
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.23-1mdv2008.1
+ Revision: 107203
- new version
- be more consistant on macros naming
- fix mixture of tabs and spaces
- some mino cleans in a spec file

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 2:1.2.22-1mdv2008.1
+ Revision: 98137
- New version 1.2.22

* Thu Oct 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.22-0.rc1.1mdv2008.1
+ Revision: 97198
- update to 1.2.22rc1 to close bug #34647

* Wed Oct 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.21-1mdv2008.1
+ Revision: 96614
- drop patch 0 and 1 since there is a configure script in use, which take care of everything
- remove dead entries in spec file
- let's see how libpng will work with mmx support on ix86
- new version
- new version

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.19-2mdv2008.0
+ Revision: 71324
- remove wrong obsoletes

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.19-1mdv2008.0
+ Revision: 71212
- export -DPNG_NO_MMX_CODE for x86_64 arch
- correct requires and provides
- rediff patch 0
- new devel library policy
- drop patch 2 (there is better way)
- new version

* Mon Aug 06 2007 David Walluck <walluck@mandriva.org> 2:1.2.18-3mdv2008.0
+ Revision: 59535
- move %%{_mandir}/man5/* to devel package in order to avoid multiarch conflict

* Mon Jul 02 2007 Olivier Blin <blino@mandriva.org> 2:1.2.18-2mdv2008.0
+ Revision: 47129
- add a libpng-source package (to be used for software rebuilding libpng, such as syslinux)
- remove obsolete conflicts

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.2.18-1mdv2008.0
+ Revision: 27297
- Updated to 1.2.18.

* Fri Apr 20 2007 Olivier Blin <blino@mandriva.org> 2:1.2.16-1mdv
+ Revision: 16258
- 1.2.16


* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.13-2mdv2007.0
+ Revision: 122407
- fix buildrequires

* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 2:1.2.13-1mdv2007.1
+ Revision: 85128
- 1.2.13

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.12-5mdv2007.1
+ Revision: 74600
- rebuild
- bzip2 cleanup
- rebuild

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.12-3mdv2007.1
+ Revision: 63449
- bunzip patches
- Import libpng

* Thu Aug 03 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.12-2mdv2007.0
- Drop broken x86_64 patches (including from #23692). Time to be spent
  for making the MMX code 64-bit safe is the same as writing correct
  SSE2+ code. And, without proper data for validating semantics and
  performance, this currently is not worth the effort for MDV2007.0
- Henceforth, make sure to enable MMX optimisations on 32-bit x86
  platforms only (Patch2)

* Sun Jul 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.2.12-1mdv2007.0
- Release 1.2.12.
- Added Patch2 from Alex Simon to allow Assembler support in pnggccrd.c
  (needs Gwenole review), to allow ImageMagick 6.2.8.1 building on X86-64.

* Sun Jun 18 2006 Warly <warly@mandriva.com>  1.2.10-4mdv2007.0
- This seem to be a desired behavior, need to recompile the packages requiring the old devel(libpng)

* Sun Jun 18 2006 Warly <warly@mandriva.com>  1.2.10-3mdv2007.0
- also workarround the problem for x86_64

* Sat Jun 17 2006 Warly <warly@mandriva.com>  1.2.10-2mdv2007.0
- workarround the non providing of devel(libpng)

* Fri Jun 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.10-1mdv2007.0
- 1.2.10
- do configure
- %%mkrel
- regenerate P0 & P1
- move tests to new %%check stage
- multiarch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.8-2mdk
- Rebuild

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.8-1mdk
- 1.2.8
- fix summary-ended-with-dot

* Tue Nov 09 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.7-1mdk
- new release

* Fri Oct 01 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-2mdk
- lib64 fixes to pkgconfig files

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.6-1mdk
- new release
- fix url
- kill patch 1 (merged upstream)

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.5-11mdk
- security fix for CAN-2004-0421 (Vincent Danen)
- misc spec file fixes

